import { ListProps } from 'antd';
import './index.less';
export interface CommonListProps<T> {
    useWindow?: boolean;
    dataSource: T[];
    renderItem: ListProps<T>['renderItem'];
    getMore?: () => void;
    className?: string;
    loading?: boolean;
    itemLayout?: ListProps<T>['itemLayout'];
    total?: number;
    nothingMoreMsg?: string;
    hideNoMoreOnSinglePage?: boolean;
    pageNum?: number;
}
export default function CommonList<T>({ useWindow, dataSource, total, loading, itemLayout, className, renderItem, getMore, nothingMoreMsg, hideNoMoreOnSinglePage, pageNum, }: CommonListProps<T>): import("react/jsx-runtime").JSX.Element;
