/// <reference types="react" />
import { TTokenItem } from '../../../../types';
import './index.less';
export interface IInputContainer {
    title?: string;
    wrapClassName?: string;
    value?: number | string;
    priceInUsd?: number | string;
    balance?: number | string;
    placeholder?: string;
    tokenInfo?: TTokenItem;
    showMax?: boolean;
    usdSuffix?: React.ReactNode;
    inputDisabled: boolean;
    onInputChange: (v: string) => void;
    onSelectToken: () => void;
    onClickMax?: () => void;
}
export default function InputContainer({ title, wrapClassName, value, priceInUsd, balance, placeholder, tokenInfo, showMax, usdSuffix, inputDisabled, onInputChange, onSelectToken, onClickMax, }: IInputContainer): import("react/jsx-runtime").JSX.Element;
