import { IValueInfo } from '../SwapPanel';
import './styles.less';
import { TSwapToken } from '@portkey/trader-core';
export interface SwapConfirmModalInterface {
    slippageValue: string;
    amountOutMinValue: string;
    priceImpact: string;
    swapFeeValue: string;
    gasFeeValue: number;
    valueInfo: IValueInfo;
    tokenOutUsd: string;
    tokenInUsd: string;
    unitConversionShow: string;
    routerInfo?: TSwapToken[];
    onConfirmSwap?: () => void;
}
export declare const SwapConfirmModal: ({ gasFeeValue, slippageValue, amountOutMinValue, priceImpact, swapFeeValue, valueInfo, tokenOutUsd, tokenInUsd, unitConversionShow, routerInfo, onConfirmSwap, }: SwapConfirmModalInterface) => import("react/jsx-runtime").JSX.Element;
