import { CSSProperties } from 'react';
import svgList from '../../assets/svgs';
export type TSvgListType = keyof typeof svgList;
export interface CommonSvgProps {
    type: TSvgListType;
    className?: string;
    style?: CSSProperties;
    onClick?: () => void;
}
export default function CommonSvg({ type, className, ...props }: CommonSvgProps): import("react/jsx-runtime").JSX.Element;
