import { ReactNode } from 'react';
import { TooltipProps } from 'antd';
import './styles.less';
export default function CommonTooltip({ children, className, type, onClick, headerDesc, useTooltip, visible, title, buttonTitle, arrowPointAtCenter, align, placement, width, ...props }: TooltipProps & {
    onClick?: () => void;
    buttonTitle?: string;
    type?: 'light' | 'dark' | 'error';
    useTooltip?: boolean;
    headerDesc?: ReactNode;
    visible?: boolean;
    width?: string | number;
}): import("react/jsx-runtime").JSX.Element;
